/*
 * MosP - Mind Open Source Project         http://www.mosp.jp/
 * Copyright (C) 1987-2008 MIND Co., Ltd.  http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.workflow.action;

import jp.mosp.common.action.MosPAction;

import jp.mosp.workflow.vo.ApprovalMenuVo;

public class ApprovalMenuAction extends MosPAction {

	// コマンド定数
	//public static final String CMD_SHOW = "S2800";

	/**
	 * コンストラクタ
	 */
	public ApprovalMenuAction() {
		super();
	}

	public void action() throws Exception {
		// セッション保持情報の除去
		initStoredData();
		// コネクション取得
		getConnection();
		// SYSTEM権限確認
		confirmSystemAuth();
		// VOの初期化
		ApprovalMenuVo vo = new ApprovalMenuVo();
		vo.initVo(cfg, msg, cmd, aspUser, user);
		// VO及びフォワード先URLの設定
		setVo(vo);
		setUrl(vo.getRetUrl());
		// モード設定
		if (isAttendanceApprovalFunction()) {
			vo.setMode(ApprovalMenuVo.MODE_POSSIBLE);
		} else {
			vo.setMode(ApprovalMenuVo.MODE_IMPOSSIBLE);
		}
	}

}
